Subject: bug#32916: font-awesome v5 build scripts are not free

From: [email-masked] (Ludovic Courtès)
Date: Thu, 04 Oct 2018 11:19:00 +0200

Hello Mark,

Mark H Weaver <[email-masked]> skribis:

> [email-masked] (Ludovic Courtès) writes:

[...]

>> I don’t have a clear opinion on ‘font-awesome’ yet, but I have some
>> comments: (1) only some of our font packages are built from source
>> (though I think we should do more of that), (2) the font might be
>> considered “non-functional data” rather than software under the FSDG,
>
> The GNU FSDG states:
>
>    License Rules
>
>    “Information for practical use” includes software, documentation,
>    fonts, and other data that has direct functional applications.  It
>    does not include artistic works that have an aesthetic (rather than
>    functional) purpose, or statements of opinion or judgment.
>
>    All information for practical use in a free distribution must be
>    available in source form.  (“Source” means the form of the
>    information that is preferred for making changes to it.)
>
> I think it's reasonably clear that the first paragraph above refers to
> the distinction between functional and non-functional data, and it
> specifically lists "fonts" as an example of the first category.  It also
> associates the terms "functional" and "for practical use" with "fonts".

Indeed, I had overlooked this paragraph.  I agree with your
interpretation.

> The section on "Non-functional Data" begins with:
>
>   Data that isn't functional, that doesn't do a practical job, is more
>   of an adornment to the system's software than a part of it.  [...]
>
> Note the two terms "functional", and "does a practical job" which
> essentially means the same thing as "for practical use".  These two
> terms are specifically associated with "fonts" above, and are
> contraindicators for "Non-functional Data".

Yes, though when I read this part, I thought to myself that
non-essential fonts could be regarded as an adornment to the system.

(My understanding is also that game artwork is often viewed as
non-functional data under the FSDG, even though I’d personally consider
that it “does a practical job”, much more than an optional font.)

Anyway the “License Rules” paragraph above makes it clear, I think, that
fonts may not be treated as non-functional data.

Thanks for clarifying!

Ludo’.